javax.resource.spi

## Class ResourceAdapterInternalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.ResourceAdapterInternalException

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourceAdapterInternalException
      extends ResourceException

  A `ResourceAdapterInternalException` indicates any system-level error conditions related to a resource adapter. The common conditions indicated by this exception type are:
  - Invalid configuration for creation of a new physical connection. An example is invalid server name for a target EIS instance.
  - Failure to create a physical connection to a EIS instance due to communication protocol error or any resource adapter implementation specific error.
  - Error conditions internal to resource adapter implementation.
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapterInternalException()` Constructs a new instance with null as its detail message.
    `ResourceAdapterInternalException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `ResourceAdapterInternalException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `ResourceAdapterInternalException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ResourceAdapterInternalException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAdapterInternalException

          public ResourceAdapterInternalException()

      Constructs a new instance with null as its detail message.

    - #### ResourceAdapterInternalException

          public ResourceAdapterInternalException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ResourceAdapterInternalException

          public ResourceAdapterInternalException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceAdapterInternalException

          public ResourceAdapterInternalException(java.lang.String message,
                                                  java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceAdapterInternalException

          public ResourceAdapterInternalException(java.lang.String message,
                                                  java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)